Package org.python.modules.jffi

# Enum NativeType

java.lang.Object
java.lang.Enum<NativeType>
org.python.modules.jffi.NativeType

All Implemented Interfaces:
  `Serializable`, `Comparable<NativeType>`, `java.lang.constant.Constable`

public enum NativeType extends Enum<NativeType>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ARRAY`
`BOOL`
`BUFFER_IN`
`BUFFER_INOUT`
`BUFFER_OUT`
`BYTE`
`DOUBLE`
`FLOAT`
`INT`
`LONG`
`LONGLONG`
`POINTER`
`SHORT`
`STRING`
`STRUCT`
`UBYTE`
`UINT`
`ULONG`
`ULONGLONG`
`USHORT`
`VOID`

## Method Summary

Modifier and Type
Method
Description
`static NativeType`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static NativeType[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### VOID

public static final NativeType VOID

### BOOL

public static final NativeType BOOL

### BYTE

public static final NativeType BYTE

### UBYTE

public static final NativeType UBYTE

### SHORT

public static final NativeType SHORT

### USHORT

public static final NativeType USHORT

### INT

public static final NativeType INT

### UINT

public static final NativeType UINT

### LONGLONG

public static final NativeType LONGLONG

### ULONGLONG

public static final NativeType ULONGLONG

### LONG

public static final NativeType LONG

### ULONG

public static final NativeType ULONG

### FLOAT

public static final NativeType FLOAT

### DOUBLE

public static final NativeType DOUBLE

### POINTER

public static final NativeType POINTER

### BUFFER_IN

public static final NativeType BUFFER_IN

### BUFFER_OUT

public static final NativeType BUFFER_OUT

### BUFFER_INOUT

public static final NativeType BUFFER_INOUT

### STRING

public static final NativeType STRING

### ARRAY

public static final NativeType ARRAY

### STRUCT

public static final NativeType STRUCT

## Method Details

### values

public static NativeType[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static NativeType valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null